import React from 'react'

import PropTypes from 'prop-types';

const Accordion = ({title, children,}) => {
  return (
    <div className="accordion">
      <span className="accordion__title">{title}</span>
      {children}
    </div>
  )
}

class AccordionPane extends React.Component {
  constructor(props) {
    super(props)

    this.state = {
      showPane: false,
    }

    this.toggleAccordion = this.toggleAccordion.bind(this)
  }
  componentWillMount() {
    this.setState({
      text: this.props.text,
      showPane: this.props.open || false,
    })
  }
  componentWillReceiveProps(newProps) {
    this.setState({
      text: newProps.text,
      showPane: newProps.open || false,
    })
  }

  toggleAccordion(event) {
    const showPane = this.state.showPane = !this.state.showPane
    this.setState({
      showPane,
    })
    event.preventDefault();
  }
  render(){
    return (
      <div className="accordion__pane">
        <a href="" className="accordion__pane__click" onClick={this.toggleAccordion}>
          <span className="accordion__pane__title">{this.props.title}</span>
          <span className="accordion__pane__arrow">
            <i className={this.state.showPane ? 'fa fa-minus': 'fa fa-plus'}></i>
          </span>
        </a>

        <div className={this.state.showPane ? 'accordion__pane__content accordion__pane__content--show' : 'accordion__pane__content accordion__pane__content--hide'}>
          <div>
            {this.props.children}
          </div>
        </div>
      </div>
    )
  }
}

export {
  Accordion,
  AccordionPane,
}

Accordion.propTypes = {
  title: PropTypes.string.isRequired,
}
AccordionPane.propTypes = {
  title: PropTypes.string.isRequired,
}
