import React from 'react'

import {Accordion, AccordionPane,} from './'

import { shallow, mount, } from 'enzyme';

describe('Component: accordion', () => {
  describe('Accordion', () => {
    test('should have the text on the span when title attribute is passed through', () => {
      const component = shallow(<Accordion title="Head Title"/>)
      expect(component.find('span').text()).toEqual('Head Title')
    })

    test('should have the accordion pane as a child', () => {
      const component = shallow(<Accordion title="Head Title">
        <AccordionPane title="Sub Title"></AccordionPane>
      </Accordion>)
      expect(component.find('AccordionPane').length).toEqual(1)
    })
  })

  describe('Accordion Pane', () => {
    test('should have the text on the span when title attribute is passed through', () => {
      const component = shallow(<AccordionPane title="Sub Title"/>)
      expect(component.find('.accordion__pane__title').text()).toEqual('Sub Title')
    })
  })
})
