import React from 'react'

import PropTypes from 'prop-types';

import {
  Link,
} from 'react-router-dom';

const Breadcrumbs = ({list, currentPath,}) => {
  return (
    <div className="breadcrumbs">
      <ul>
        {list.map(item => {
          return (
            <li>
              {currentPath !== item.url &&
                <Link to={item.url}>{item.text}</Link>
              }
              {currentPath === item.url &&
                <span>{item.text}</span>
              }

            </li>
          )
        })}
      </ul>
    </div>
  )
}

export default Breadcrumbs

Breadcrumbs.propTypes = {
  list: PropTypes.array.isRequired,
}
