import React from 'react'

import PropTypes from 'prop-types';

const Card = ({children, title, image, center, style,}) => {
  return (
    <div style={style} className="card">
      {image && <img className="img-fluid" src={image} alt="image"/>}
      {title && <div className={center ? 'text-center card__title' : 'card__title' }>
        <h2>{title}</h2>
        <hr/>
      </div>}
      {children}
    </div>
  )
}

const CardContent = ({children,}) => {
  return (
    <div className="card__content">
      {children}
    </div>
  )
}
const CardButton = ({onclick, className, text, }) => {
  return (
    <div className="text-center card__button">
      <button className={className} onClick={onclick} style={{marginBottom: 0,}}>{text}</button>
    </div>
  )
}

export {
  Card,
  CardButton,
  CardContent,
}

Card.propTypes = {

}
CardButton.propTypes = {
  text: PropTypes.string.isRequired,
  onclick: PropTypes.func.isRequired,
}
