import React from 'react'
import {
  Link,
} from 'react-router-dom';

import PropTypes from 'prop-types';

class Footer extends React.Component {
  constructor(props) {
    super(props)

    this.state = {
    }
  }
  componentWillMount() {
    this.setState({
      footerLinks: this.props.footerLinks,
    })
  }
  componentWillReceiveProps(newProps) {
    this.setState({
      footerLinks: newProps.footerLinks,
    })
  }
  render(){
    return (
      <div className="footer">
        <div className="footer__links">
          {this.state.footerLinks &&
          <div className="row">
            {this.state.footerLinks.map((item, key) => {
              return (
                <div className="col-xs-12 col-sm-4 col-md-3" key={key}>
                  <h3>{item.name}</h3>
                  <ul className="footer__links__subLinks">
                    {
                      item.subLinks.map((subLink, id) => {
                        return (
                          <li key={id}>
                            <Link to={subLink.url}>
                              {subLink.name}
                            </Link>
                          </li>
                        )
                      })
                    }
                  </ul>
                </div>

              )
            })}
          </div>
          }
        </div>
        <p>© Edinburgh Airport Limited</p>
        <p>Edinburgh Airport, Edinburgh, EH12 9DN Tel: 0844 448 8833</p>
      </div>
    )
  }
}


export default Footer;

Footer.propTypes = {
  footerLinks: PropTypes.array,
}
