import React from 'react'
import LazyLoad from 'react-lazy-load';

import PropTypes from 'prop-types';

class Image extends React.Component {
  constructor(props) {
    super(props)
  }

  componentWillMount() {
    this.setState({
      url: this.props.url,
      alt: this.props.alt,
      lazyLoad: this.props.lazyLoad,
    })
  }
  componentWillReceiveProps(newProps) {
    this.setState({
      url: newProps.url,
      alt: newProps.alt,
      lazyLoad: newProps.lazyLoad,
    })
  }

  render() {
    //if the lazyLoad is set as attribute, use the lazyload plugin
    if (this.state.lazyLoad) {
      return (
        <div className="filler">
          <LazyLoad offsetVertical={-150}>
            <img className="img-fluid" src={this.state.url} alt={this.state.alt}/>
          </LazyLoad>
        </div>
      )
    } else {
      return (<img className="img-fluid" src={this.state.url} alt={this.state.alt}/>)
    }
  }
}

export default Image;

Image.propTypes = {
  url: PropTypes.string.isRequired,
  alt: PropTypes.string.isRequired,
}
