import React from 'react'

import PropTypes from 'prop-types';

const Media = ({children, image, title, icon,}) => {
  return (
    <div className="media">
      {image && <div className="media__image"><img className="img-fluid" src={image}/></div>}
      {icon && <i className={'media__icon fa fa-' + icon} ></i>}
      <div className="media__body">
        <h3 className="media__title">{title}</h3>
        <span>{children}</span>
      </div>
    </div>
  )
}

export default Media;

Media.propTypes = {
  image: PropTypes.string,
  icon: PropTypes.string,
}
