import React from 'react'

import PropTypes from 'prop-types';

class Modal extends React.Component {
  constructor(props) {
    super(props)

  }
  componentWillMount() {
    this.setState({
      showModal: this.props.showModal,
      closeButton: this.props.closeButton,
    })
  }
  componentWillReceiveProps(newProps) {
    this.setState({
      showModal: newProps.showModal,
      closeButton: newProps.closeButton,
    })
  }
  render(){
    return (
      <div style={this.state.showModal ? styling.showModal : styling.hideModal} className="modal">
        <div className="modal__background" onClick={event => {
          if(this.state.closeButton) {
            this.props.closeButton(event);
          }
        }}></div>
        <div style={{zIndex: 100000,}} className="pos__center">
          {this.props.children}
          {this.state.closeButton && <div className="modal__close-button">
            <a href="" onClick={this.props.closeButton}><i className="fa fa-times"></i></a>
          </div>
          }
        </div>
      </div>
    )
  }
}


export default Modal;

const styling = {
  hideModal: {
    display: 'none',
  },
  showModal: {
    zIndex: 10000,
  },
}

Modal.propTypes = {
  showModal: PropTypes.bool.isRequired,
  closeButton: PropTypes.func,
}
