import React from 'react'

import PropTypes from 'prop-types';
import moment from 'moment';

import Calendar from 'react-calendar/dist/entry.nostyle'

class RefineSearch extends React.Component {

  constructor(props) {
    super(props)

    this.state = {}

    this.toggleCalendar = this.toggleCalendar.bind(this)
    this.setTime = this.setTime.bind(this)
    this.setDate = this.setDate.bind(this)
  }

  toggleCalendar(event) {
    const showCalendar = this.state.showCalendar = !this.state.showCalendar
    this.setState({
      showCalendar,
    })
    event.preventDefault();
  }

  setDate(value) {
    this.setState({
      selectedDate: value,
      showCalendar: false,
    })
  }

  setTime(event) {
    this.setState({
      selectedTime: event.target.value,
    });
  }

  formatDate(date) {
    return moment(date).format('DD/MM/YYYY')
  }

  static getDerivedStateFromProps(nextProps, prevState) {
    if(prevState.selectedTime && prevState.selectedDate) {
      return {
        selectedTime: prevState.selectedTime,
        selectedDate: new Date(prevState.selectedDate),
      }
    }

    return {
      selectedTime: nextProps.selectedTime,
      selectedDate: new Date(nextProps.selectedDate),
    }
  }

  render() {
    // console.log('NEW STATE',this.state)
    return (
      <div className="refine-search__inner-wrap">
        <div className="refine-search__date-time">
          <span className="refine-search__date-time__date" onClick={this.toggleCalendar}>
            <i className="fa fa-calendar"></i>
            {this.formatDate(this.state.selectedDate)}
          </span>
          { this.state.showCalendar &&
            <div className="picker">
              <Calendar
                activeStartDate={new Date()}
                minDate={new Date()}
                minDetail="month"
                nextLabel=""
                prevLabel=""
                value={new Date(this.state.selectedDate)}
                onChange={this.setDate}/>
            </div>
          }
        </div>
        <div className="refine-search__date-time">
          <i className="fa fa-clock-o"></i>
          <div className="select-menu">
            <select name="entry-time" value={this.state.selectedTime} onChange={this.setTime}>
              <option>00:01</option>
              <option>01:00</option>
              <option>02:00</option>
              <option>03:00</option>
              <option>04:00</option>
              <option>05:00</option>
              <option>06:00</option>
              <option>07:00</option>
              <option>08:00</option>
              <option>09:00</option>
              <option>10:00</option>
              <option>11:00</option>
              <option>12:00</option>
              <option>13:00</option>
              <option>14:00</option>
              <option>15:00</option>
              <option>16:00</option>
              <option>17:00</option>
              <option>18:00</option>
              <option>19:00</option>
              <option>20:00</option>
              <option>21:00</option>
              <option>22:00</option>
              <option>23:00</option>
            </select>
          </div>
        </div>
      </div>
    )
  }
}

export default RefineSearch;
