import React from 'react'

import PropTypes from 'prop-types';

const StepByStep = ({children, active,}) => {
  const total = React.Children.count(children);
  const average = (active / total * 100) + '%'
  return (
    <ul className={'stepByStep'}>
      {React.Children.map(children, (child, index) => {
        return React.cloneElement(child, {
          active,
          total,
        }, null);
      })}

      <span className="stepByStep__bar" style={{width: average,}}>&nbsp;</span>
      <strong className="stepByStep__text">Step {active} of {total}</strong>
    </ul>
  )
}

const StepByStepItem = ({active, text, index, total,}) => {
  return (
    <li className="stepByStep__item">
      <i className={active === index ? 'stepByStep__item__number stepByStep__item__number__active' : 'stepByStep__item__number'}><strong>{index}</strong></i>
      <strong>{text}</strong>
    </li>
  )
}

export {
  StepByStep,
  StepByStepItem,
}

StepByStep.propTypes = {
}
StepByStepItem.propTypes = {
  text: PropTypes.string.isRequired,
  index: PropTypes.number.isRequired,
}
