import React from 'react'

import PropTypes from 'prop-types';

class SupportingInformation extends React.Component {
  constructor(props) {
    super(props)

    this.state = {
      open: false,
    }

    this.toggle = this.toggle.bind(this)
  }

  toggle(event) {
    const open = this.state.open = !this.state.open
    this.setState({
      open,
    })

    event.preventDefault()
  }
  render() {
    return (
      <div style={styling.core}>
        <a href="" onClick={this.toggle} style={styling.link}>
          {this.props.title}
          <i style={styling.iconButton} className={this.state.open ? 'fa fa-angle-up': 'fa fa-angle-down'}></i>
        </a>

        {this.state.open &&
          <div>{this.props.children}</div>
        }
      </div>
    )
  }
}

export default SupportingInformation;

SupportingInformation.propTypes = {
  title: PropTypes.string.isRequired,
}

const styling = {
  core: {
    position: 'relative',
  },
  link: {
    padding: '10px 0',
    lineHeight: '45px',
    height: '45px',
  },
  iconButton: {
    fontSize: '25px',
    verticalAlign: 'middle',
    paddingLeft: '10px',
    position: 'relative',
    top: '-2px',
  },
}
