import React from 'react'

import PropTypes from 'prop-types';

class Tab extends React.Component {
  constructor(props) {
    super(props)

    this.state = {
      toggle: false,
      selectedIndex: this.props.startTab ? this.props.startTab : 1, //pre select tab
    }

    this.selectContent = this.selectContent.bind(this)
  }

  selectContent(object, event) {
    this.setState({
      content: object.content,
      selectedIndex: object.index,
    })

    event.preventDefault()
  }

  componentDidMount() {
    //pre select the content
    const firstChild =  React.Children.map(this.props.children, (child, index) => {
      return child
    })
    this.setState({
      content: firstChild[this.state.selectedIndex - 1].props.children,
    })
  }

  render() {
    const getTotalChild = React.Children.count(this.props.children);
    return (
      <div className="tab">
        <ul>
          {React.Children.map(this.props.children, (child, index) => {
            return React.cloneElement(child, {
              selectContent: this.selectContent,
              selectedIndex: this.state.selectedIndex,
              title: child.props.title,
              content: child.props.children,
              index: index + 1,
              total: getTotalChild,
            }, null);
          })}
        </ul>
        <div className="tab__content">
          {this.state.content}
        </div>
      </div>
    )
  }
}

class TabItem extends React.Component {
  constructor(props) {
    super(props)
  }

  render() {
    let isActive = ''
    if(this.props.selectedIndex === this.props.index) {
      isActive = ' tab__item--active'
    }

    return (
      <li className={'tab__item tab__item--' + this.props.total + isActive}>
        <a href="" onClick={this.props.selectContent.bind(null, {
          content: this.props.content,
          index: this.props.index,
        })}>
          {this.props.icon &&
            <i className={'fa fa-'+ this.props.icon}></i>
          }
          {this.props.title}
        </a>
      </li>
    )
  }
}

export {
  Tab,
  TabItem,
}

Tab.propTypes = {

}
TabItem.propTypes = {
}
